Bug 728320 - [abrt] pdfshuffler-0.5-1.fc12: generic.py:520:readFromStream:PdfReadError: multiple definitions in dictionary
Summary: [abrt] pdfshuffler-0.5-1.fc12: generic.py:520:readFromStream:PdfReadError: mu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfshuffler
Version: 12
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3e3b038f
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 17:23 UTC by Enrique Gomezdelcampo
Modified: 2012-03-21 18:43 UTC (History)
1 user (show)

Fixed In Version: pdfshuffler-0.6.0-0.2.20120302svn64.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 02:32:56 UTC


Attachments (Terms of Use)
File: backtrace (1.56 KB, text/plain)
2011-08-04 17:23 UTC, Enrique Gomezdelcampo
no flags Details

Description Enrique Gomezdelcampo 2011-08-04 17:23:27 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pdfshuffler
component: pdfshuffler
executable: /usr/bin/pdfshuffler
kernel: 2.6.32.26-175.fc12.x86_64
package: pdfshuffler-0.5-1.fc12
reason: generic.py:520:readFromStream:PdfReadError: multiple definitions in dictionary
release: Fedora release 12 (Constantine)
time: 1312478462
uid: 500

backtrace
-----
generic.py:520:readFromStream:PdfReadError: multiple definitions in dictionary

Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 411, in choose_export_pdf_name
    self.export_to_file(file_out)
  File "/usr/bin/pdfshuffler", line 448, in export_to_file
    current_page = pdf_input[nfile-1].getPage(npage-1)
  File "/usr/lib/python2.6/site-packages/pyPdf/pdf.py", line 353, in getPage
    self._flatten()
  File "/usr/lib/python2.6/site-packages/pyPdf/pdf.py", line 499, in _flatten
    catalog = self.trailer["/Root"].getObject()
  File "/usr/lib/python2.6/site-packages/pyPdf/generic.py", line 466, in __getitem__
    return dict.__getitem__(self, key).getObject()
  File "/usr/lib/python2.6/site-packages/pyPdf/generic.py", line 165, in getObject
    return self.pdf.getObject(self).getObject()
  File "/usr/lib/python2.6/site-packages/pyPdf/pdf.py", line 549, in getObject
    retval = readObject(self.stream, self)
  File "/usr/lib/python2.6/site-packages/pyPdf/generic.py", line 67, in readObject
    return DictionaryObject.readFromStream(stream, pdf)
  File "/usr/lib/python2.6/site-packages/pyPdf/generic.py", line 520, in readFromStream
    raise utils.PdfReadError, "multiple definitions in dictionary"
PdfReadError: multiple definitions in dictionary

Local variables in innermost frame:
tmp: '<<'
stream: <open file '/tmp/tmpp4gtcVpdfshuffler/01_A1.0.pdf', mode 'rb' at 0x1c043e8>
value: '/Catalog'
tok: '/'
key: '/Type'
pdf: <pyPdf.pdf.PdfFileReader object at 0x1c34f50>
data: {'/Type': '/Catalog', '/Pages': IndirectObject(3, 0), '/OpenAction': [0, '/Fit']}

How to reproduce
-----
1. import three small pdf files
2. click on export PDF
3.

Comment 1 Enrique Gomezdelcampo 2011-08-04 17:23:30 UTC
Created attachment 516751 [details]
File: backtrace

Comment 2 Fedora Update System 2012-03-02 10:54:12 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc16

Comment 3 Fedora Update System 2012-03-02 10:55:22 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc15

Comment 4 Fedora Update System 2012-03-02 10:56:38 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc17

Comment 5 Fedora Update System 2012-03-05 20:54:49 UTC
Package pdfshuffler-0.6.0-0.2.20120302svn64.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdfshuffler-0.6.0-0.2.20120302svn64.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2846/pdfshuffler-0.6.0-0.2.20120302svn64.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-03-21 02:32:56 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-21 02:38:32 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-21 18:43:17 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.